/*
 * Copyright (c) 2023 Oracle and/or its affiliates. All rights reserved.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0, which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * This Source Code may also be made available under the following Secondary
 * Licenses when the conditions for such availability set forth in the
 * Eclipse Public License v. 2.0 are satisfied: GNU General Public License,
 * version 2 with the GNU Classpath Exception, which is available at
 * https://www.gnu.org/software/classpath/license.html.
 *
 * SPDX-License-Identifier: EPL-2.0 OR GPL-2.0 WITH Classpath-exception-2.0
 */
package org.glassfish.jersey.micrometer.server.resources;

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;

import io.micrometer.core.annotation.Timed;

/**
 * @author Michael Weirauch
 */
@Path("/class")
@Produces(MediaType.TEXT_PLAIN)
@Timed(extraTags = { "on", "class" })
public class TimedOnClassResource {

    @GET
    @Path("inherited")
    public String inherited() {
        return "inherited";
    }

    @GET
    @Path("on-method")
    @Timed(extraTags = { "on", "method" })
    public String onMethod() {
        return "on-method";
    }

}
